Google Scholar API
Google Scholar에서 학술 및 논문 결과를 실시간으로 가져옵니다. engine=google_scholar를 설정하고 q에 주제 또는 논문 제목을 전달하면 저자, 인용 수, PDF 링크가 포함된 구조화된 논문 목록을 얻을 수 있습니다.
Endpoint
섹션 제목: “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | SERP API 키 |
engine | string | yes | google_scholar여야 함 |
q | string | yes | 검색어 |
lr | string | no | 언어 제한, 형식은 lang_xx |
hl | string | no | 인터페이스 언어 코드 |
start | int | no | 페이지네이션을 위한 결과 오프셋 |
num | int | no | 페이지당 결과 수 |
as_vis | int | no | 인용을 제외하려면 1, 포함하려면 0 |
safe | string | no | active 또는 off |
cites | string | no | Cited By 검색을 트리거하는 논문 고유 ID |
as_ylo | int | no | 포함할 최초 연도 |
as_yhi | int | no | 포함할 최종 연도 |
scisbd | int | no | 초록만 보려면 1, 전체 결과는 0 |
Example request
섹션 제목: “Example request”curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"import requests
params = { "engine": "google_scholar", "api_key": "YOUR_API_KEY", "q": "python",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar', api_key: 'YOUR_API_KEY', q: 'python',});const data = await (await fetch(url)).json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "google_scholar", "q": "python" }, "organic_results": [ { "position": 1, "title": "Python for data analysis", "result_id": "FDc6HiktlqEJ", "link": "https://example.com/paper.pdf", "snippet": "This book is concerned with the nuts and bolts of manipulating...", "publication_info": { "summary": "W McKinney - 2012 - oreilly.com" }, "inline_links": { "cited_by": { "total": 12000, "cites_id": "11234567" } } } ]}